<%
cu = current_user
is_admin = cu.is_admin?
content_for :header do
-%>
<link rel="stylesheet" type="text/css" href="/style/imports/base_admin.css" />
<%
end
controller_map = {
  'category' => 'categories',
  'forum_admin' => 'forums',
  'group' => 'groups',
  'censoring' => 'censoring',
  'rank' => 'ranks',
  'ban' => 'bans',
  'report' => 'reports'
}
captions = {
  'index' => 'Index',
  'categories' => 'Categories',
  'forums' => 'Forums',
  'users' => 'Users',
  'groups' => 'User groups',
  'options' => 'Options',
  'permissions' => 'Permissions',
  'censoring' => 'Censoring',
  'ranks' => 'Ranks',
  'bans' => 'Bans',
  'prune' => 'Prune',
  'maintenance' => 'Maintenance',
  'reports' => 'Reports'
}
if is_admin
  items = [ 'index', 'categories', 'forums', 'users', 'groups', 'options', 'permissions', 'censoring', 'ranks', 'bans', 'prune', 'maintenance', 'reports']
else
  if Settings.mod_ban_users == true
    items = [ 'index', 'users', 'censoring', 'bans', 'reports']
  else
    items = [ 'index', 'users', 'censoring', 'reports']
  end
end
inside_layout 'application' do
  unless @no_menu == true
-%>
<div id="adminconsole" class="block2col">
	<div id="adminmenu" class="blockmenu">
		<h2><span><%= is_admin ? 'Administrator' : 'Moderator' %> menu</span></h2>
		<div class="box">
			<div class="inbox">
				<ul>
<% 
    for i in items
      if controller.controller_name == 'admin'
        active = controller.action_name
      else
        active = controller_map[controller.controller_name]
      end
      if controller_map.values.include? i
        p = {:controller => controller_map.invert[i]}
      else
        p = {:controller => 'admin', :action => i}
      end
      if active == i
-%>
      <li class="isactive"><a href="<%= url_for p %>"><%= captions[i] %></a></li>
<%
      else
-%>
      <li><a href="<%= url_for p %>"><%= captions[i] %></a></li>
<%
      end
    end
-%>
				</ul>
			</div>
		</div>
<!--
		<h2 class="block2"><span>Plugins</span></h2>
		<div class="box">
			<div class="inbox">
				<ul>
<?php

		while (list(, $cur_plugin) = @each($plugins))
			echo "\t\t\t\t\t".'<li'.(($page == $cur_plugin[1]) ? ' class="isactive"' : '').'><a href="<%= url_for :action => 'loader' %>?plugin='.$cur_plugin[1].'">'.str_replace('_', ' ', $cur_plugin[0]).'</a></li>'."\n";

?>
				</ul>
			</div>
		</div>
-->
	</div>

<%
	end
  concat yield,binding
end
-%>
